/*
 * $Id: CuTypeTest.java,v 1.1 2005/12/12 11:18:28 fortuna Exp $
 *
 * Created on 16/11/2005
 *
 * Copyright (c) 2005, Ben Fortuna
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 *
 *  o Redistributions of source code must retain the above copyright
 * notice, this list of conditions and the following disclaimer.
 *
 *  o Redistributions in binary form must reproduce the above copyright
 * notice, this list of conditions and the following disclaimer in the
 * documentation and/or other materials provided with the distribution.
 *
 *  o Neither the name of Ben Fortuna nor the names of any other contributors
 * may be used to endorse or promote products derived from this software
 * without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
 * "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
 * LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
 * A PARTICULAR PURPOSE ARE DISCLAIMED.  IN NO EVENT SHALL THE COPYRIGHT OWNER OR
 * CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,
 * EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
 * PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
 * PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF
 * LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING
 * NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
 * SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 */
package net.fortuna.ical4j.model.parameter;

import junit.framework.TestCase;

/**
 * Unit tests for parameter: CUTYPE
 * @author Ben Fortuna
 */
public class CuTypeTest extends TestCase {

    /**
     * Test that constant CUTYPEs equal equivalent new instances.
     */
    public void testConstantEquals() {
        assertEquals(CuType.INDIVIDUAL, new CuType(CuType.INDIVIDUAL.getValue()));
        assertEquals(CuType.GROUP, new CuType(CuType.GROUP.getValue()));
        assertEquals(CuType.RESOURCE, new CuType(CuType.RESOURCE.getValue()));
        assertEquals(CuType.ROOM, new CuType(CuType.ROOM.getValue()));
        assertEquals(CuType.UNKNOWN, new CuType(CuType.UNKNOWN.getValue()));
    }
}
